Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(282)

Issue 5285047: Camera tracking integration

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 8 months ago by nazgul
Modified:
7 years, 7 months ago
Reviewers:
bf-codereview, mierle, ideasman42, brechtvl
Base URL:
https://svn.blender.org/svnroot/bf-blender/trunk/blender/
Visibility:
Public.

Description

Camera tracking integration patch applied on current trunk. Not compilable, but ok for discussion. Additional project info is there: http://wiki.blender.org/index.php/User:Nazg-gul/GSoC-2011

Patch Set 1 #

Patch Set 2 : Corrected patch set #

Total comments: 30

Patch Set 3 : Fixes most of pointed issues #

Patch Set 4 : Updated to tomato rev41142 #

Total comments: 36

Patch Set 5 : Updated to tomato rev41195 #

Total comments: 52

Patch Set 6 : Updated to tomato rev41255 #

Total comments: 56
Unified diffs Side-by-side diffs Delta from patch set Stats (+19056 lines, -130 lines) Patch
CMakeLists.txt View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
build_files/scons/tools/Blender.py View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
build_files/scons/tools/btools.py View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
extern/CMakeLists.txt View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
extern/SConscript View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
extern/libmv/CMakeLists.txt View 1 2 3 4 5 1 chunk +210 lines, -0 lines 0 comments Download
extern/libmv/ChangeLog View 1 3 1 chunk +312 lines, -0 lines 0 comments Download
extern/libmv/SConscript View 1 3 1 chunk +58 lines, -0 lines 0 comments Download
extern/libmv/bundle.sh View 1 3 1 chunk +247 lines, -0 lines 0 comments Download
extern/libmv/files.txt View 1 3 1 chunk +141 lines, -0 lines 0 comments Download
extern/libmv/libmv-capi.h View 1 2 3 4 5 1 chunk +128 lines, -0 lines 0 comments Download
extern/libmv/libmv-capi.cpp View 1 2 3 4 5 1 chunk +775 lines, -0 lines 0 comments Download
extern/libmv/mkfiles.sh View 1 3 1 chunk +4 lines, -0 lines 0 comments Download
extern/libmv/patches/series View 1 3 1 chunk +13 lines, -0 lines 0 comments Download
release/scripts/modules/bpy_extras/keyconfig_utils.py View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Blender.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_1100D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_1D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_1DS.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_500D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_550D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_5D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_600D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_60D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Canon_7D.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D300S.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D3100.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D35.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D5000.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D5100.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D7000.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Nikon_D90.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Red_Epic.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Red_One_2K.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Red_One_3K.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_camera/Red_One_4K.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_track_color/default.py View 1 1 chunk +5 lines, -0 lines 2 comments Download
release/scripts/presets/tracking_track_color/far_plane.py View 1 1 chunk +5 lines, -0 lines 0 comments Download
release/scripts/presets/tracking_track_color/near_plane.py View 1 1 chunk +5 lines, -0 lines 0 comments Download
release/scripts/startup/bl_operators/__init__.py View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
release/scripts/startup/bl_operators/clip.py View 1 2 3 4 5 1 chunk +306 lines, -0 lines 2 comments Download
release/scripts/startup/bl_operators/presets.py View 1 2 3 4 5 1 chunk +41 lines, -0 lines 0 comments Download
release/scripts/startup/bl_ui/__init__.py View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
release/scripts/startup/bl_ui/properties_object_constraint.py View 1 2 3 4 5 1 chunk +21 lines, -0 lines 0 comments Download
release/scripts/startup/bl_ui/properties_scene.py View 1 2 3 4 5 1 chunk +10 lines, -0 lines 0 comments Download
release/scripts/startup/bl_ui/space_clip.py View 1 2 3 4 5 1 chunk +875 lines, -0 lines 8 comments Download
release/scripts/startup/bl_ui/space_time.py View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
release/scripts/startup/bl_ui/space_view3d.py View 1 2 3 4 5 3 chunks +42 lines, -4 lines 0 comments Download
source/blender/CMakeLists.txt View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
source/blender/blenkernel/BKE_context.h View 1 2 3 4 5 3 chunks +3 lines, -0 lines 0 comments Download
source/blender/blenkernel/BKE_main.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/blenkernel/BKE_movieclip.h View 1 2 3 4 5 1 chunk +71 lines, -0 lines 0 comments Download
source/blender/blenkernel/BKE_node.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
source/blender/blenkernel/BKE_object.h View 1 2 3 4 5 4 chunks +6 lines, -0 lines 0 comments Download
source/blender/blenkernel/BKE_tracking.h View 1 2 3 4 5 1 chunk +129 lines, -0 lines 0 comments Download
source/blender/blenkernel/CMakeLists.txt View 1 2 3 4 5 5 chunks +9 lines, -0 lines 0 comments Download
source/blender/blenkernel/SConscript View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
source/blender/blenkernel/intern/constraint.c View 1 2 3 4 5 5 chunks +205 lines, -0 lines 0 comments Download
source/blender/blenkernel/intern/context.c View 1 2 3 4 5 2 chunks +12 lines, -0 lines 0 comments Download
source/blender/blenkernel/intern/depsgraph.c View 1 2 3 4 5 5 chunks +79 lines, -10 lines 2 comments Download
source/blender/blenkernel/intern/idcode.c View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/blenkernel/intern/library.c View 1 2 3 4 5 6 chunks +11 lines, -0 lines 0 comments Download
source/blender/blenkernel/intern/movieclip.c View 1 2 3 4 5 1 chunk +1024 lines, -0 lines 14 comments Download
source/blender/blenkernel/intern/node.c View 1 2 3 4 5 2 chunks +4 lines, -0 lines 0 comments Download
source/blender/blenkernel/intern/object.c View 1 2 3 4 5 8 chunks +101 lines, -30 lines 0 comments Download
source/blender/blenkernel/intern/tracking.c View 1 2 3 4 5 1 chunk +2082 lines, -0 lines 11 comments Download
source/blender/blenlib/BLI_threads.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/blenlib/intern/threads.c View 1 2 3 4 5 3 chunks +5 lines, -0 lines 0 comments Download
source/blender/blenloader/intern/readblenentry.c View 1 2 3 4 5 1 chunk +6 lines, -0 lines 0 comments Download
source/blender/blenloader/intern/readfile.h View 1 2 3 4 5 2 chunks +3 lines, -0 lines 0 comments Download
source/blender/blenloader/intern/readfile.c View 1 2 3 4 5 16 chunks +191 lines, -2 lines 0 comments Download
source/blender/blenloader/intern/writefile.c View 1 2 3 4 5 5 chunks +39 lines, -0 lines 0 comments Download
source/blender/editors/CMakeLists.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/SConscript View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/gpencil/drawgpencil.c View 1 2 3 4 5 2 chunks +2 lines, -1 line 0 comments Download
source/blender/editors/gpencil/editaction_gpencil.c View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/gpencil/gpencil_edit.c View 1 2 3 4 5 2 chunks +14 lines, -0 lines 0 comments Download
source/blender/editors/gpencil/gpencil_paint.c View 1 2 3 4 5 7 chunks +51 lines, -3 lines 0 comments Download
source/blender/editors/include/ED_clip.h View 1 2 3 4 5 1 chunk +64 lines, -0 lines 0 comments Download
source/blender/editors/include/ED_space_api.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/include/ED_transform.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/include/ED_view3d.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
source/blender/editors/include/UI_icons.h View 1 2 3 4 5 4 chunks +3 lines, -3 lines 0 comments Download
source/blender/editors/include/UI_interface.h View 1 2 3 4 5 2 chunks +16 lines, -11 lines 0 comments Download
source/blender/editors/include/UI_resources.h View 1 2 3 4 5 1 chunk +12 lines, -1 line 0 comments Download
source/blender/editors/interface/interface_draw.c View 1 2 3 4 5 2 chunks +109 lines, -0 lines 0 comments Download
source/blender/editors/interface/interface_handlers.c View 1 2 3 4 5 6 chunks +97 lines, -1 line 0 comments Download
source/blender/editors/interface/interface_intern.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/interface/interface_templates.c View 1 2 3 4 5 3 chunks +8 lines, -0 lines 0 comments Download
source/blender/editors/interface/interface_widgets.c View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
source/blender/editors/interface/resources.c View 1 2 3 4 5 6 chunks +67 lines, -1 line 0 comments Download
source/blender/editors/object/object_constraint.c View 1 2 3 4 5 3 chunks +20 lines, -0 lines 0 comments Download
source/blender/editors/screen/area.c View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/screen/screen_edit.c View 1 2 3 4 5 2 chunks +3 lines, -0 lines 0 comments Download
source/blender/editors/screen/screen_ops.c View 1 2 3 4 5 2 chunks +15 lines, -0 lines 0 comments Download
source/blender/editors/space_api/spacetypes.c View 1 2 3 4 5 3 chunks +3 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/CMakeLists.txt View 1 2 3 4 5 1 chunk +54 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/SConscript View 1 1 chunk +9 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_buttons.c View 1 2 3 4 5 1 chunk +436 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_draw_graph.c View 1 2 3 4 5 1 chunk +223 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_draw_main.c View 1 2 3 4 5 1 chunk +1261 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_editor.c View 1 2 3 4 5 1 chunk +296 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_intern.h View 1 2 3 4 5 1 chunk +119 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_ops.c View 1 2 3 4 5 1 chunk +1054 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/clip_toolbar.c View 1 2 3 4 5 1 chunk +244 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/space_clip.c View 1 2 3 4 5 1 chunk +934 lines, -0 lines 0 comments Download
source/blender/editors/space_clip/tracking_ops.c View 1 2 3 4 5 1 chunk +2944 lines, -0 lines 16 comments Download
source/blender/editors/space_node/drawnode.c View 1 2 3 4 5 2 chunks +48 lines, -0 lines 0 comments Download
source/blender/editors/space_view3d/drawobject.c View 1 2 3 4 5 5 chunks +231 lines, -3 lines 0 comments Download
source/blender/editors/space_view3d/space_view3d.c View 1 2 3 4 5 3 chunks +8 lines, -0 lines 0 comments Download
source/blender/editors/space_view3d/view3d_draw.c View 1 2 3 4 5 5 chunks +50 lines, -12 lines 0 comments Download
source/blender/editors/space_view3d/view3d_edit.c View 1 2 3 4 5 2 chunks +17 lines, -11 lines 0 comments Download
source/blender/editors/space_view3d/view3d_intern.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/space_view3d/view3d_select.c View 1 2 3 4 5 4 chunks +44 lines, -1 line 0 comments Download
source/blender/editors/space_view3d/view3d_snap.c View 1 2 3 4 5 3 chunks +41 lines, -0 lines 0 comments Download
source/blender/editors/transform/transform.h View 1 2 3 4 5 2 chunks +4 lines, -0 lines 0 comments Download
source/blender/editors/transform/transform.c View 1 2 3 4 5 10 chunks +42 lines, -4 lines 0 comments Download
source/blender/editors/transform/transform_conversions.c View 1 2 3 4 5 6 chunks +246 lines, -0 lines 0 comments Download
source/blender/editors/transform/transform_generics.c View 1 2 3 4 5 4 chunks +45 lines, -0 lines 0 comments Download
source/blender/editors/transform/transform_ops.c View 1 2 3 4 5 1 chunk +5 lines, -0 lines 0 comments Download
source/blender/editors/util/CMakeLists.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/makesdna/DNA_ID.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/makesdna/DNA_constraint_types.h View 1 2 3 4 5 3 chunks +29 lines, -0 lines 0 comments Download
source/blender/makesdna/DNA_movieclip_types.h View 1 2 3 4 5 1 chunk +126 lines, -0 lines 0 comments Download
source/blender/makesdna/DNA_scene_types.h View 1 2 3 4 5 3 chunks +4 lines, -1 line 0 comments Download
source/blender/makesdna/DNA_space_types.h View 1 2 3 4 5 6 chunks +58 lines, -1 line 0 comments Download
source/blender/makesdna/DNA_tracking_types.h View 1 2 3 4 5 1 chunk +207 lines, -0 lines 0 comments Download
source/blender/makesdna/DNA_userdef_types.h View 1 2 3 4 5 2 chunks +6 lines, -0 lines 0 comments Download
source/blender/makesdna/DNA_view3d_types.h View 1 2 3 4 5 6 chunks +21 lines, -2 lines 0 comments Download
source/blender/makesdna/intern/makesdna.c View 1 2 3 4 5 2 chunks +4 lines, -0 lines 0 comments Download
source/blender/makesrna/RNA_access.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
source/blender/makesrna/intern/CMakeLists.txt View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/makesrna.c View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_ID.c View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_camera.c View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
source/blender/makesrna/intern/rna_constraint.c View 1 2 3 4 5 4 chunks +72 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_internal.h View 1 2 3 4 5 2 chunks +3 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_main.c View 1 2 3 4 5 2 chunks +7 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_main_api.c View 1 2 3 4 5 5 chunks +54 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_movieclip.c View 1 2 3 4 5 1 chunk +278 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_nodetree.c View 1 2 3 4 5 1 chunk +78 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_nodetree_types.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_scene.c View 1 2 3 4 5 4 chunks +21 lines, -4 lines 0 comments Download
source/blender/makesrna/intern/rna_screen.c View 1 2 3 4 5 1 chunk +5 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_space.c View 1 2 3 4 5 12 chunks +287 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_tracking.c View 1 2 3 4 5 1 chunk +747 lines, -0 lines 1 comment Download
source/blender/makesrna/intern/rna_ui_api.c View 1 2 3 4 5 1 chunk +19 lines, -0 lines 0 comments Download
source/blender/makesrna/intern/rna_userdef.c View 1 2 3 4 5 5 chunks +94 lines, -0 lines 0 comments Download
source/blender/nodes/CMakeLists.txt View 1 2 3 4 5 2 chunks +4 lines, -0 lines 0 comments Download
source/blender/nodes/NOD_composite.h View 1 2 3 4 5 2 chunks +4 lines, -0 lines 0 comments Download
source/blender/nodes/composite/node_composite_tree.c View 1 2 3 4 5 3 chunks +16 lines, -0 lines 0 comments Download
source/blender/nodes/composite/node_composite_util.h View 1 2 3 4 5 3 chunks +10 lines, -0 lines 0 comments Download
source/blender/nodes/composite/nodes/node_composite_image.c View 1 2 3 4 5 2 chunks +31 lines, -20 lines 0 comments Download
source/blender/nodes/composite/nodes/node_composite_movieclip.c View 1 2 3 4 5 1 chunk +161 lines, -0 lines 0 comments Download
source/blender/nodes/composite/nodes/node_composite_moviedistortion.c View 1 2 3 4 5 1 chunk +143 lines, -0 lines 0 comments Download
source/blender/nodes/composite/nodes/node_composite_scale.c View 1 2 3 4 5 2 chunks +19 lines, -2 lines 0 comments Download
source/blender/nodes/composite/nodes/node_composite_stabilize2d.c View 1 2 3 4 5 1 chunk +79 lines, -0 lines 0 comments Download
source/blender/nodes/composite/nodes/node_composite_transform.c View 1 2 3 4 5 1 chunk +142 lines, -0 lines 0 comments Download
source/blender/windowmanager/WM_types.h View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
source/blender/windowmanager/intern/wm_operators.c View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
source/blenderplayer/CMakeLists.txt View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
source/blenderplayer/bad_level_call_stubs/stubs.c View 1 2 3 4 5 3 chunks +5 lines, -0 lines 0 comments Download
source/creator/CMakeLists.txt View 1 2 3 4 5 3 chunks +10 lines, -0 lines 0 comments Download
source/creator/creator.c View 1 2 3 4 5 3 chunks +12 lines, -0 lines 0 comments Download

Messages

Total messages: 27
nazgul
7 years, 8 months ago (2011-10-15 17:00:44 UTC) #1
nazgul
Corrected patch set
7 years, 8 months ago (2011-10-15 18:37:16 UTC) #2
brechtvl
Just a few comments to get start, it's a big patch, will have to do ...
7 years, 8 months ago (2011-10-19 14:38:07 UTC) #3
nazgul
http://codereview.appspot.com/5285047/diff/3001/source/blender/blenkernel/intern/constraint.c File source/blender/blenkernel/intern/constraint.c (right): http://codereview.appspot.com/5285047/diff/3001/source/blender/blenkernel/intern/constraint.c#newcode3938 source/blender/blenkernel/intern/constraint.c:3938: /* ----------- Follow Track ------------- */ "Reconstruction" is libmv-side ...
7 years, 8 months ago (2011-10-19 14:58:41 UTC) #4
brechtvl
Regarding the naming, it seems to me there are various terms used: Movie Clip, Reconstruction, ...
7 years, 8 months ago (2011-10-19 17:47:53 UTC) #5
brechtvl
http://codereview.appspot.com/5285047/diff/3001/release/scripts/startup/bl_ui/properties_object_constraint.py File release/scripts/startup/bl_ui/properties_object_constraint.py (right): http://codereview.appspot.com/5285047/diff/3001/release/scripts/startup/bl_ui/properties_object_constraint.py#newcode757 release/scripts/startup/bl_ui/properties_object_constraint.py:757: layout.prop(con, "use_default_clip") I think this property should be named ...
7 years, 8 months ago (2011-10-19 17:55:02 UTC) #6
nazgul
Corrected (i hope) all current issues. New patchset would be sent here soon. The only ...
7 years, 8 months ago (2011-10-19 21:31:08 UTC) #7
nazgul
Didn't notice last to notes, pardon. Easy to rename, but don't want to re-generate patch ...
7 years, 8 months ago (2011-10-19 22:24:13 UTC) #8
nazgul
Fixes most of pointed issues
7 years, 8 months ago (2011-10-19 22:24:43 UTC) #9
nazgul
Updated to tomato rev41142
7 years, 8 months ago (2011-10-20 09:52:50 UTC) #10
brechtvl
Reviewed RNA changes, mostly just naming/description comments. http://codereview.appspot.com/5285047/diff/3001/source/blender/blenkernel/intern/object.c File source/blender/blenkernel/intern/object.c (right): http://codereview.appspot.com/5285047/diff/3001/source/blender/blenkernel/intern/object.c#newcode2207 source/blender/blenkernel/intern/object.c:2207: if(ob->partype & ...
7 years, 8 months ago (2011-10-21 13:53:39 UTC) #11
ideasman42
Just looked over python scripts and added some notes, will look over C source next. ...
7 years, 8 months ago (2011-10-22 13:50:26 UTC) #12
nazgul
Updated to tomato rev41195
7 years, 8 months ago (2011-10-22 15:21:29 UTC) #13
nazgul
Hopefully i didn't missed some comments and included all patches into new patchset. http://codereview.appspot.com/5285047/diff/3001/source/blender/blenkernel/intern/object.c File ...
7 years, 8 months ago (2011-10-22 15:23:30 UTC) #14
ideasman42
pedantic rna review http://codereview.appspot.com/5285047/diff/32002/source/blender/makesrna/intern/rna_space.c File source/blender/makesrna/intern/rna_space.c (right): http://codereview.appspot.com/5285047/diff/32002/source/blender/makesrna/intern/rna_space.c#newcode2823 source/blender/makesrna/intern/rna_space.c:2823: prefer; show_marker_small http://codereview.appspot.com/5285047/diff/32002/source/blender/makesrna/intern/rna_tracking.c File source/blender/makesrna/intern/rna_tracking.c (right): ...
7 years, 8 months ago (2011-10-24 14:53:37 UTC) #15
nazgul
Fixed issues pointed by Campbell. Hope new patchset would be submitted soon. http://codereview.appspot.com/5285047/diff/32002/source/blender/makesrna/intern/rna_tracking.c File source/blender/makesrna/intern/rna_tracking.c ...
7 years, 8 months ago (2011-10-24 16:36:08 UTC) #16
nazgul
Updated to tomato rev41255
7 years, 8 months ago (2011-10-24 16:56:11 UTC) #17
ideasman42
http://codereview.appspot.com/5285047/diff/32002/source/blender/makesrna/intern/rna_tracking.c File source/blender/makesrna/intern/rna_tracking.c (right): http://codereview.appspot.com/5285047/diff/32002/source/blender/makesrna/intern/rna_tracking.c#newcode152 source/blender/makesrna/intern/rna_tracking.c:152: if(camera->units==CAMERA_UNITS_MM) { On 2011/10/24 16:36:08, nazgul wrote: > Can ...
7 years, 8 months ago (2011-10-24 23:02:55 UTC) #18
brechtvl
Blenkernel changes review. http://codereview.appspot.com/5285047/diff/26003/source/blender/makesdna/DNA_movieclip_types.h File source/blender/makesdna/DNA_movieclip_types.h (right): http://codereview.appspot.com/5285047/diff/26003/source/blender/makesdna/DNA_movieclip_types.h#newcode91 source/blender/makesdna/DNA_movieclip_types.h:91: int ok; /* 1 means scopes ...
7 years, 8 months ago (2011-10-25 16:01:36 UTC) #19
nazgul
Fixed most of issues reported by Campbell and Brecht. Not sure when updated patchset would ...
7 years, 8 months ago (2011-10-25 19:04:58 UTC) #20
brechtvl
Reviewed editors module changes, this was the last module I didn't review yet. http://codereview.appspot.com/5285047/diff/18002/release/scripts/presets/tracking_track_color/default.py File ...
7 years, 8 months ago (2011-10-25 20:03:00 UTC) #21
brechtvl
> Well, i'll agree and disagree with you here. It's nice to have core functions ...
7 years, 8 months ago (2011-10-25 20:23:08 UTC) #22
nazgul
> > Hrm. In fact problem is not cause by cache size. The only issue ...
7 years, 8 months ago (2011-10-25 20:32:00 UTC) #23
nazgul
Fixed issues pointed by Brecht in editors area. New patchset is preparing... http://codereview.appspot.com/5285047/diff/18002/release/scripts/presets/tracking_track_color/default.py File release/scripts/presets/tracking_track_color/default.py ...
7 years, 8 months ago (2011-10-26 07:47:48 UTC) #24
mierle
I haven't looked through the reconstruction part yet. http://codereview.appspot.com/5285047/diff/32002/extern/libmv/libmv-capi.cpp File extern/libmv/libmv-capi.cpp (right): http://codereview.appspot.com/5285047/diff/32002/extern/libmv/libmv-capi.cpp#newcode42 extern/libmv/libmv-capi.cpp:42: Nitpick: ...
7 years, 8 months ago (2011-10-26 08:12:00 UTC) #25
brechtvl
> I'm not sure about this. That two keyframes are properties for Solve Camera > ...
7 years, 8 months ago (2011-10-26 11:44:06 UTC) #26
brechtvl
7 years, 7 months ago (2011-11-01 18:48:39 UTC) #27
After discussion with Sergey at the conference, I think the threading thing is
actually not an issue due to the cache referencing the imbuf and free
unreferencing it. Also the selection problems were fixed. So I don't have any
remaining comments :)
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b